(function() {
"use strict";
var t = [], e = [], o = [], n = [], i = null, a = null, r = null, s = null, l = function() {
function l() {
this.node = null, this.isEjectAnimate = !1, this.node = cc.find("Canvas/UI");
}
return l.prototype._cleanup = function() {
t = [], o = [], this.node.removeAllChildren();
}, l.prototype.getChildren = function() {
return this.node.children;
}, l.prototype.tooltip = function(t, e, o) {
if (void 0 === e && (e = 2), void 0 === o && (o = 0), !r) {
var n = cc.find("Canvas/UI");
r = Global.Loader.getInstantiate("UI/ToolTip"), n.addChild(r, 99);
}
r.getComponentInChildren(cc.Label).string = t, r.opacity = 255, r.stopAllActions(), 
r.y = o, r.runAction(cc.sequence(cc.delayTime(.8 * e), cc.spawn(cc.moveBy(.2 * e, cc.v2(0, 40)), cc.fadeOut(.2 * e))));
}, l.prototype.alert = function(t) {
var e = {
title: t.title || "警告",
message: t.message || "警告文字",
isMask: t.isMask || !0,
okText: t.okText || "确认",
okFunction: t.okFunction || function() {},
closeFunction: t.closeFunction || function() {}
};
s || (s = Global.Loader.getInstantiate("UI/Confirm"), cc.find("Canvas/UI").addChild(s, 99)), 
s.active = !0, s.getComponent("Component").setOptions(e);
}, l.prototype.addUI = function(t) {
var e = Global.Loader.getInstantiate(t);
return this.node.addChild(e), e;
}, l.prototype.pushUI = function(e, o, n) {
return void 0 === o && (o = null), void 0 === n && (n = null), t.push({
name: e,
script: o,
options: n
}), this._updateWindow();
}, l.prototype.pushWindow = function(t, e, n) {
return void 0 === e && (e = null), void 0 === n && (n = null), o.push({
name: t,
script: e,
options: n
}), this._updateEject();
}, l.prototype.getAllWindow = function(t) {
return n.filter(function(e) {
return !t || e.name == t;
});
}, l.prototype.popUI = function() {
var o = e.length > 0 ? e[e.length - 1] : null;
if (o) {
t.pop();
var n = this;
o.emit("onExitWindowBegin"), this.isEjectAnimate = !0, this.node.runAction(cc.sequence(cc.delayTime(.5), cc.callFunc(function() {
o.emit("onExitWindowEnd"), n.isEjectAnimate = !1, n._updateWindow();
}))), e.pop(), Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, e);
var a = e.length > 0 ? e[e.length - 1] : null;
a ? (a.emit("onEnterWindowBegin"), a.emit("onWindowFocus"), i = a) : i = null;
} else cc.warn("ui都没有，还移除什么");
}, l.prototype.popWindow = function(t) {
for (var e = n.length, o = n.length - 1; o >= 0; o--) if (!t || n[o] == t) return Global.Log("popWindow start:", n[o].name), 
n[o].emit("onExitWindowBegin"), n[o].runAction(cc.sequence(cc.delayTime(.3), cc.callFunc(function(t) {
t.emit("onExitWindowEnd"), Global.Log("popWindow end:", t.name);
}))), n.splice(o, 1), Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, n), o == e - 1 && n.length > 0 && (a = n[n.length - 1]).emit("onWindowFocus"), 
!0;
return !1;
}, l.prototype.shiftUI = function(o) {
void 0 === o && (o = 0);
for (var n = e.length - 1; n >= o; ) {
var i = e.length > 0 ? e[n] : null;
if (!i) {
cc.warn("ui都没有，还移除什么");
break;
}
t.splice(n, 1);
var a = this;
i.emit("onExitWindowBegin"), this.node.runAction(cc.sequence(cc.delayTime(.5), cc.callFunc(function() {
i.emit("onExitWindowEnd"), a._updateWindow();
}))), e.splice(n, 1), n--;
}
}, l.prototype.postFocus = function() {
var t = e.length > 0 ? e[e.length - 1] : null;
t && t.emit("onWindowFocus");
}, l.prototype._updateWindow = function() {
if (0 == t.length) return null;
var e = t.pop();
this.isEjectAnimate = !0, e.name.substring(e.name.lastIndexOf("914/30104M/A4RE/PD57D") + 1);
var o = Global.Loader.getInstantiate(e.name);
if (this.node.addChild(o), this._addUIAnimate(o), e.script && !e.options && (e.options = e.script, 
e.script = e.name.substring(e.name.lastIndexOf("/") + 1)), e.script && "string" == typeof e.script) {
if (e.options) {
var n = o.getComponent(e.script);
n && n.setOptions(e.options);
}
} else o.tss && o.tss && o.tss.setData && o.tss.setData(e.script);
return i && i.emit("onLoseFocus"), i = o, o;
}, l.prototype._addUIAnimate = function(t) {
var o = this, n = null;
e.length > 0 && (n = e[e.length - 1]), n ? n._uimgrloadEnd ? (n.emit("onExitWindowBegin"), 
this.node.runAction(cc.sequence(cc.delayTime(.5), cc.callFunc(function() {
n.onExitWindowEnd && n.onExitWindowEnd(), n._uimgrloadEnd = !0, o.isEjectAnimate = !1;
})))) : (n.emit("onExitWindowBegin"), o.isEjectAnimate = !1) : this.isEjectAnimate = !1, 
this.node.runAction(cc.sequence(cc.delayTime(.01), cc.callFunc(function() {
t.emit("onEnterWindowBegin");
}))), e.push(t), Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, e), this._updateWindow();
}, l.prototype._updateEject = function() {
if (o.length > 0) {
a && a.emit("onLoseFocus");
var t = o.pop(), e = Global.Loader.getInstantiate(t.name);
if (this.node.runAction(cc.sequence(cc.delayTime(.01), cc.callFunc(function() {
e.emit("onEnterWindowBegin");
}))), a = e, this.node.addChild(e, 10), n.push(e), Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, n), 
this._updateEject(), t.script && "string" == typeof t.script) {
if (t.options) {
var i = e.getComponent(t.script);
i && i.setOptions(t.options);
}
} else e.tss && e.tss && e.tss.setData && e.tss.setData(t.script);
return e;
}
return null;
}, l;
}();
function c(t) {
var e = "";
for (var o in t) e && (e += "&"), e += o + "=" + t[o];
return e;
}
function d(t, e, o) {
try {
t && t(e, o);
} catch (t) {
console.error("Http回调函数执行出错:", t);
}
}
var h = function() {
function t() {
this.defaultUrl = "", this._id = "", this.token = "";
}
return t.prototype.setOptions = function(t, e) {
this._id = t, this.token = e;
}, t.prototype.loginGet = function(t) {
return !t.data && (t.data = {}), this._id && (t.data._id = this._id, t.data.token = encodeURIComponent(this.token)), 
this.get(t);
}, t.prototype.get = function(t) {
var e = {
path: t.path || "/game/gameUser",
route: t.route || "",
data: t.data || {},
cb: t.cb || function() {},
url: t.url || this.defaultUrl,
reconnect: !!t.reconnect
};
t.route && (t.data.route = t.route);
var o = this, n = "" + e.url + e.path + "?" + c(e.data);
Global.Log("httpurl:", n);
var i = cc.loader.getXMLHttpRequest();
i.open("GET", n, !0);
var a = setTimeout(function() {
i.abort && i.abort();
}, 3e4);
return i.onerror = function(t) {
e.reconnect ? setTimeout(function() {
o.get(e);
}, 1500) : d(e.cb, t, null);
}, i.onreadystatechange = function() {
if (4 === i.readyState) if (clearTimeout(a), i.status >= 200 && i.status < 300) {
var t = null;
try {
t = JSON.parse(i.response);
} catch (t) {
return d(e.cb, t, null), void cc.error("err:" + t);
}
200 === t.code ? d(e.cb, null, t.data) : (d(e.cb, t.code, t.data), cc.log("登陆失败！" + t));
} else 500 == i.status && (e.reconnect ? setTimeout(function() {
o.get(e);
}, 1500) : d(e.cb, {
status: i.status
}, null));
}, i.send(), i;
}, t.prototype.getUrl = function(t, e) {
var o = cc.loader.getXMLHttpRequest();
o.open("GET", t, !0);
var n = setTimeout(function() {
o.abort && o.abort();
}, 3e4);
return o.onerror = function(t) {
e(t);
}, o.onreadystatechange = function() {
if (4 === o.readyState) if (clearTimeout(n), o.status >= 200 && o.status < 300) {
var t = null;
try {
t = JSON.parse(o.response);
} catch (t) {
return void e(t, null);
}
200 === t.code ? e(null, t.data) : e(t.code, t.data);
} else 500 == o.status && e(o.status, o.response);
}, o.send(), o;
}, t;
}(), u = {}, p = {}, f = {}, v = function() {
function t() {
this.ResCfg = {};
}
return t.prototype.init = function(t) {
this.ResCfg = t;
}, t.prototype.loadBundle = function(t, e, o) {
if (void 0 === o && (o = null), f[t]) return e && e(f[t]);
var n = this;
cc.assetManager.loadBundle(t, function(i, a) {
i ? (console.error("bundle:" + t + " 加载失败，稍后重新加载"), setTimeout(function() {
n.loadBundle(t, e, o);
}, 2e3)) : (f[t] = a, n.ResCfg[t] ? n.loadBundleRes(t, n.ResCfg[t], e, o) : e(a));
});
}, t.prototype.loadBundleRes = function(t, e, o, n) {
if (void 0 === n && (n = null), !f[t]) return cc.error("此bundle未加载:", t, ",请先使用 loadBundle");
f[t].load(e, n, function(n, i) {
if (n) console.error(t + " bundle加载失败:", n); else {
for (var a = 0; a < i.length; a++) u[e[a]] = i[a];
o && o(f[t], i);
}
});
}, t.prototype.loadBundleDir = function(t, e, o, n) {
if (void 0 === n && (n = null), !f[t]) return cc.error("此bundle未加载:", t, ",请先使用 loadBundle");
var i = e.length ? e + "/" : "/";
f[t].loadDir(e || "/", cc.Prefab, n, function(e, n) {
if (e) console.error(t + " bundle加载失败:", e); else {
for (var a = 0; a < n.length; a++) u[i + n[a].name] = n[a];
o && o(f[t], n);
}
});
}, t.prototype.loadResources = function(t, e, o) {
void 0 === o && (o = null), p[t] ? e(p[t]) : this.loadResourcesArray(this.ResCfg[t], function(o) {
p[t] = o, e(o);
}, o);
}, t.prototype.loadResourcesArray = function(t, e, o) {
var n = this;
cc.loader.loadResArray(t, cc.Prefab, o, function(i, a) {
if (i) cc.error(i), cc.error("加载资源组失败，两秒后重试！"), setTimeout(function() {
n.loadResourcesArray(t, e, o);
}, 2e3); else {
for (var r = 0; r < a.length; r++) u[t[r]] = a[r];
e && e(a);
}
});
}, t.prototype.addPrefab = function(t, e) {
t && e ? u[t] = e : cc.warn("空对象不能添加");
}, t.prototype.releaseResUrl = function(t) {
cc.loader.releaseRes(t, cc.Prefab), delete u[t];
}, t.prototype.get = function(t) {
if (u[t]) return u[t];
if (-1 == t.indexOf("/")) {
var e = t.split("/"), o = e[e.length - 1];
for (var n in u) if (n.lastIndexOf(o) >= 0) return u[n];
} else console.error("未找到url:", t);
return null;
}, t.prototype.getInstantiate = function(t) {
return cc.instantiate(this.get(t));
}, t.prototype.loadResourcesImage = function(t, e, o) {
t && "" != t && cc.loader.loadRes(t, cc.SpriteFrame, function(t, n) {
!t && e && e.node && (e.spriteFrame = n, o && o(t, n));
});
}, t.prototype.loadNetworkImage = function(t, e, o) {
if (t && "" != t) {
var n = "string" == typeof t ? {
url: t,
type: "png"
} : t;
cc.loader.load(n, function(t, n) {
!t && e && e.node && (e.spriteFrame = new cc.SpriteFrame(n), o && o(t, n));
});
}
}, t.prototype.reset = function(t) {
if (t) for (var e in u) this.releaseResUrl(e);
u = {};
}, t;
}(), g = function() {
function t() {
this.events = [];
}
return t.prototype.on = function(t, e, o) {
this.events.push({
eventName: t,
fun: e,
target: o
});
}, t.prototype.off = function(t, e, o) {
if ("object" == typeof t || "function" == typeof t) return this.removeAllListeners(t);
this.events = this.events.filter(function(n) {
return n.eventName != t || n.fun !== e || n.target != o;
});
}, t.prototype.emit = function(t) {
for (var e = [], o = 1; o < arguments.length; o++) e[o - 1] = arguments[o];
var n = this.events.filter(function(e) {
return e.eventName == t;
});
n.map(function(t) {
t.fun.apply(t.target, e);
}), this.events = this.events.filter(function(e) {
return e.eventName != t || e.eventName == t && !e.isOnce;
});
}, t.prototype.removeAllListeners = function(t) {
this.events = "object" == typeof t || "function" == typeof t ? this.events.filter(function(e) {
return e.target != t;
}) : this.events.filter(function(e) {
return e.eventName != t;
});
}, t.prototype.once = function(t, e, o) {
this.events.push({
eventName: t,
fun: e,
target: o,
isOnce: !0
});
}, t.prototype.clean = function() {
this.events = [];
}, t;
}(), b = function() {
function t() {
this._musicOpen = !1, this._soundOpen = !1, this._vibrateOpen = !0, this._musicVolume = 0, 
this._soundVolume = 0, this._lastMusic = 0, this._arrResSound = {}, this._arrResMusic = {}, 
this._loadChip = {}, this._lastChip = {}, this.relativePath = {}, cc.sys.localStorage.getItem("914301"), 
cc.sys.localStorage.getItem("04MA4R");
var t = cc.sys.localStorage.getItem("musicOpen"), e = cc.sys.localStorage.getItem("soundOpen"), o = cc.sys.localStorage.getItem("musicVolume"), n = cc.sys.localStorage.getItem("soundVolume"), i = cc.sys.localStorage.getItem("vibrateOpen");
cc.sys.localStorage.getItem("EPD57D"), this._musicOpen = !t || 1 == t, this._soundOpen = !e || 1 == e, 
this._musicVolume = o || 1, this._soundVolume = n || 1, this._vibrateOpen = !i || 1 == i, 
"number" != typeof this._musicVolume && (this._musicVolume = 1), "number" != typeof this._soundVolume && (this._soundVolume = 1), 
this._lastMusic = null, this._arrResSound = {}, this._arrResMusic = {}, this._loadChip = "", 
this.relativePath = "audio/";
}
return Object.defineProperty(t.prototype, "musicVolume", {
get: function() {
return this._musicVolume;
},
set: function(t) {
this._musicVolume = t, cc.audioEngine.setVolume(this._lastMusic, t), cc.sys.localStorage.setItem("muiscVolume", t);
},
enumerable: !1,
configurable: !0
}), Object.defineProperty(t.prototype, "soundVolume", {
get: function() {
return this._soundVolume;
},
set: function(t) {
this._soundVolume = t, cc.sys.localStorage.setItem("soundVolume", t);
},
enumerable: !1,
configurable: !0
}), Object.defineProperty(t.prototype, "musicOpen", {
get: function() {
return this._musicOpen;
},
set: function(t) {
this._musicOpen != t && (this._musicOpen = t, cc.sys.localStorage.setItem("musicOpen", t ? "1" : "0"), 
t ? this.playMusic(this._loadChip) : this.stopMusic());
},
enumerable: !1,
configurable: !0
}), Object.defineProperty(t.prototype, "soundOpen", {
get: function() {
return this._soundOpen;
},
set: function(t) {
this._soundOpen = t, cc.sys.localStorage.setItem("soundOpen", t ? "1" : "0");
},
enumerable: !1,
configurable: !0
}), Object.defineProperty(t.prototype, "vibrateOpen", {
get: function() {
return this._vibrateOpen;
},
set: function(t) {
this._vibrateOpen = t, cc.sys.localStorage.setItem("vibrateOpen", t ? 1 : 0);
},
enumerable: !1,
configurable: !0
}), t.prototype.playMusic = function(t, e, o) {
void 0 === e && (e = null), void 0 === o && (o = .5);
var n = this.relativePath + t;
if (this._loadChip = t, this._lastChip = n, cc.audioEngine.setMusicVolume(o), this._arrResMusic[n]) return this.stopMusic(), 
void this.playBackground(this._arrResMusic[n], e);
if ("string" == typeof n) {
var i = this;
this.loadAudio(n, function(t) {
n == i._lastChip && (i.stopMusic(), i.playBackground(t, e)), i._arrResMusic[n] = t;
});
} else cc.log("只支持path类");
}, t.prototype.loadAudio = function(t, e) {
cc.loader.loadRes(t, function(t, o, n) {
o ? cc.warn("声音加载失败:", o) : e(n);
}.bind(this, t));
}, t.prototype.playSound = function(t, e, o) {
void 0 === e && (e = null), void 0 === o && (o = 1);
var n = this.relativePath + t;
if (this._arrResSound[n]) {
var i = this.playEffect(this._arrResSound[n], o);
e && e(i);
} else if ("string" == typeof n) {
var a = this;
this.loadAudio(n, function(t) {
var i = a.playEffect(t, o);
e && e(i), a._arrResSound[n] = t;
});
} else cc.log("只支持path类");
}, t.prototype.playBackground = function(t, e) {
this._musicOpen && (this._lastMusic = cc.audioEngine.playMusic(t, !0), e && e(this._lastMusic));
}, t.prototype.playEffect = function(t, e) {
if (this._soundOpen) {
if (Global.Platform.isHuaWei) {
cc.url.raw(t.nativeUrl);
var o = Global.api.createInnerAudioContext();
o.src = "resource/assets/bg.mp3", o.play();
}
var n = cc.audioEngine.playEffect(t, !1);
return cc.audioEngine.setVolume(n, this._soundVolume * e), n;
}
return -1;
}, t.prototype.stopMusic = function() {
null != this._lastMusic && cc.audioEngine.stopMusic(), this._lastMusic = null;
}, t;
}(), m = function() {
function t() {}
return t.prototype.clamp = function(t, e, o) {
return Math.min(o, Math.max(t, e));
}, t.prototype.assign = function(t, e) {
for (var o in e) t[o] = e[o];
return t;
}, t.prototype.subSectionString = function(t, e) {
for (var o = 0, n = "", i = 0, a = 0; a < t.length; a++) {
var r = t.charCodeAt(a);
r > 127 || 94 == r ? i += 2 : i++, i > e && (n += t.substring(o, a) + "\n", i = 0, 
o = a);
}
return n + t.substring(o, t.length);
}, t.prototype.deepCopy = function(t, e) {
if (null == t || null == t) return null;
for (var o in e = e || {}, t) t[o] && "object" == typeof t[o] ? (t[o].constructor === Array ? e[o] = [] : e[o] = {}, 
this.deepCopy(t[o], e[o])) : e[o] = t[o];
return e;
}, t.prototype.stringFormat = function(t) {
for (var e = [], o = 1; o < arguments.length; o++) e[o - 1] = arguments[o];
var n = t;
if (e.length > 0) for (var i = 0; i < e.length; i++) if (null != e[i]) {
var a = new RegExp("({)" + i + "(})", "g");
n = n.replace(a, e[i]);
}
return n;
}, t.prototype.getAngle = function(t, e) {
if (t.fuzzyEquals(e, .01)) return 0;
if (t.x == e.x) return e.y > t.y ? Math.PI / 2 : Math.PI;
var o = Math.abs(Math.atan((e.y - t.y) / (e.x - t.x)));
return e.x < t.x ? o = e.y > t.y ? Math.PI - o : Math.PI + o : e.y < t.y && (o = 2 * Math.PI - o), 
o;
}, t.prototype.readJson = function(t) {
if ("object" == typeof t) return t.json;
var e = t;
if (!e) return cc.warn("没有数据啊:", e), null;
for (var o = "", n = 0; ;) {
e.substring(0, n + 1);
var i = e.indexOf("//", n), a = e.indexOf("/*", n), r = 0;
if (i >= 0) r = a >= 0 ? Math.min(i, a) : i; else {
if (!(a >= 0)) {
o += e.substring(n);
break;
}
r = a;
}
r == i ? (t = e.indexOf("\n", i + 2), o += e.substring(n, i), n = t + 2) : r == a && (t = e.indexOf("*/", a + 2), 
o += e.substring(n, a), n = t + 2);
}
try {
return JSON.parse(o);
} catch (t) {
return console.error("json parseerror:", t, o), null;
}
}, t.prototype.calcDetailDay = function(t, e) {
var o = new Date(t.getFullYear() + "/" + (t.getMonth() + 1) + "/" + t.getDate()).getTime(), n = new Date(e.getFullYear() + "/" + (e.getMonth() + 1) + "/" + e.getDate()).getTime();
return Math.floor((n - o) / 864e5);
}, t.prototype.addButtonHandler = function(t, e, o, n) {
if (!t) return console.warn("没有节点怎么添加触摸"), null;
var i = t.name.substring(t.name.indexOf("<") + 1, t.name.indexOf(">")), a = new cc.Component.EventHandler();
return a.target = t, a.component = i, a.handler = o, a.customEventData = n, e.clickEvents.push(a), 
e;
}, t.prototype.getLocation = function(t) {
var e = t.getLocation();
return e.x = e.x - cc.winSize.width / 2, e.y = e.y - cc.winSize.height / 2, e;
}, t.prototype.getNodeBox = function(t) {
var e = t.getBoundingBoxToWorld(), o = e.x + e.width / 2 - cc.winSize.width / 2, n = e.y + e.height / 2 - cc.winSize.height / 2;
return cc.v2(o, n);
}, t.prototype.getRandom = function(t, e) {
return t = Math.ceil(t), e = Math.floor(e), Math.floor(Math.random() * (e - t + 1)) + t;
}, t.prototype.NoToChinese = function(t) {
var e = "";
if (t < 0 && (t = -t, e = "负"), !/^\d*(\.\d*)?$/.test("" + t)) return cc.warn("数字错误"), 
"数字错误";
var o = new Array("零", "一", "二", "三", "四", "五", "六", "七", "八", "九"), n = new Array("", "十", "百", "千", "万", "亿", "点", ""), i = "", a = ("" + t).replace(/(^0*)/g, "").split(".");
t = Math.floor(t);
for (var r = function(t) {
for (var e = t.toString().split("").reverse(), i = "", a = 0; a < e.length; a++) i = (0 == a && 0 == e[a] ? "" : a > 0 && 0 == e[a] && 0 == e[a - 1] ? "" : o[e[a]] + (0 == e[a] ? n[0] : n[a])) + i;
return i;
}, s = a[0].length - 1; s >= 0; s--) {
var l = Math.floor(t / 1e4), c = t % 1e4;
c.toString().length < 4 && (c = "0" + c), i = l ? r(l) + "万" + r(c) : r(t);
}
if ("" == i && (i = o[0]), a.length > 1) for (i += n[6], s = 0; s < a[1].length; s++) i += o[a[1].charAt(s)];
return e + i;
}, t.prototype.shuffle = function(t) {
for (var e, o = t.length; o; ) {
var n = Math.floor(Math.random() * o--);
e = [ t[o], t[n] ], t[n] = e[0], t[o] = e[1];
}
return t;
}, t.prototype.toPosition = function(t) {
if (void 0 === t && (t = {
x: 0,
y: 0,
width: 0,
height: 0
}), !CC_WECHATGAME) return t;
var e = wx.getSystemInfoSync(), o = cc.winSize.width, n = cc.winSize.height, i = e.screenWidth, a = e.screenHeight, r = {
x: 0,
y: 0,
width: 0,
height: 0
};
return r.x = (o / 2 - t.width / 2 + t.x) / o * i, r.y = (n / 2 - t.height / 2 - t.y) / n * a, 
r.width = t.width / o * i, r.height = t.height / n * a, r;
}, t;
}(), y = function() {
function t(t) {
this.__className__ = "Platform", this.name = "web", this.isWeb = !1, this.isWechat = !1, 
this.isTouTiao = !1, this.isQuTouTiao = !1, this.isVivo = !1, this.isOppo = !1, 
this.isQQ = !1, this.isBaiDu = !1, this.isHuaWei = !1, this.isAndroid = !1, this.isIOS = !1, 
this.isRecordVoice = !1, this.config = {}, this.os = "", this.bannerAD = null, this.videoAd = null, 
this.bannerCfg = {}, this.interstitialAd = null, this.interstitialCB = null, this.videoCB = null, 
this.videoFailCB = null, this.lastVideoTime = 0, this.lastVideoName = "", this.lastInterstitialTime = 0, 
this.config = t, this.isWeb = !0;
}
return t.prototype._initInterstitialAD = function() {
var t = this;
if (this.config.interstitial) {
var e = Object.keys(this.config.interstitial);
if (e.length && Global.api.createInterstitialAd) {
var o = this.getRandomId(this.config.interstitial);
console.log("interstitialAd key:", o), this.interstitialAd = Global.api.createInterstitialAd({
adUnitId: this.config.interstitial[e[0]]
}), this.interstitialAd && (this.interstitialAd.onClose(function() {
t.interstitialCB && t.interstitialCB();
}), this.interstitialAd.onError(function(e) {
t.interstitialCB && t.interstitialCB(e);
}));
}
}
}, t.prototype.getRandomId = function(t) {
var e = Object.keys(t);
return e[Math.floor(Math.random() * e.length)];
}, t.prototype.startRecordVoice = function() {}, t.prototype.stopRecordVoice = function() {}, 
t.prototype.getLaunchData = function() {
return {};
}, t.prototype.getReferrer = function() {
return {};
}, t.prototype.autoLogin = function(t) {
t({
openid: Math.floor(1e6 * Math.random()) + 8999999
});
}, t.prototype.updateVersion = function() {}, t.prototype.getUserInfo = function() {}, 
t.prototype.destroyLoginButton = function() {}, t.prototype.share = function() {}, 
t.prototype.vibrateLong = function() {}, t.prototype.vibrateShort = function() {}, 
t.prototype.reportData = function() {}, t.prototype.showBanner = function() {}, 
t.prototype.showBannerPos = function() {}, t.prototype.destroyBanner = function() {}, 
t.prototype._onVideoClose = function(t) {
t.isEnded ? (Global.Event.emit("打点_观看广告成功"), Global.Event.emit(GlobalEvent.API_VIDEO_SUCCESS, this.lastVideoName)) : (Global.Event.emit("打点_取消观看广告"), 
Global.Event.emit(GlobalEvent.API_VIDEO_FAIL, this.lastVideoName)), t.isEnded ? this.videoCB && this.videoCB() : this.videoFailCB ? this.videoFailCB() : Global.Event.emit("UI提示", {
content: "视频未看完不能获得奖励"
}), this.lastVideoTime = Date.now(), Global.Event.emit(GlobalEvent.API_ON_SHOW), 
t.isEnded && Statics.addEvent("视频观看成功"), this.lastVideoName = "";
}, t.prototype._onVideoError = function(t) {
Global.Event.emit("打点_拉取广告失败"), console.log("_onVideoError:", t), Global.Event.emit(GlobalEvent.API_VIDEO_FAIL, this.lastVideoName), 
this.videoFailCB && this.videoFailCB(null), Global.Event.emit(GlobalEvent.API_ON_SHOW), 
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "广告资源不足，请稍后再试:" + t.errCode
}), this.lastVideoName = "";
}, t.prototype.showRewardVideo = function(t, e) {
Global.Event.emit(GlobalEvent.API_VIDEO_SUCCESS), e(!0);
}, t.prototype.preLoadVideo = function(t) {
this.lastVideoName = t;
var e = this.config.video[t];
this.videoAd || (Global.Log("preLoadVideo:", t, e), this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this), this.videoAd = window.tt.createRewardedVideoAd({
adUnitId: e
}));
}, t.prototype.showInterstitial = function() {}, t.prototype.startRecord = function() {}, 
t.prototype.stopRecord = function() {}, t.prototype.createAppBox = function() {}, 
t;
}(), A = function(t, e) {
return (A = Object.setPrototypeOf || {
__proto__: []
} instanceof Array && function(t, e) {
t.__proto__ = e;
} || function(t, e) {
for (var o in e) e.hasOwnProperty(o) && (t[o] = e[o]);
})(t, e);
};
function E(t, e) {
function o() {
this.constructor = t;
}
A(t, e), t.prototype = null === e ? Object.create(e) : (o.prototype = e.prototype, 
new o());
}
var w, G = function(t) {
function e(e) {
var o = t.call(this, e) || this;
o.__className__ = "PlatformWechat", o.name = "wechat", o.isWechat = !0, o.isWeb = !1, 
o.isEnterFromMyApp = !1, o.luanchData = null, o.referrerInfo = null, o.videoCB = null, 
o.videoFailCB = null, o.onVideoError = null, o.onVideoClose = null, o.autoLoginCB = null, 
o.isCheckNewVersion = !1, o.btnLogin = null, o.bannerCanShow = !1, o.videoName = "", 
o.shareListener = null, o.isWeb = !1;
var n = window.wx, i = Global.api.getLaunchOptionsSync();
return o.luanchData = i.query, o.referrerInfo = i.referrerInfo || {}, Global.api.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return Global.Log("onShareAppMessage", e), {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: {}
};
}), Global.api.showShareMenu({
withShareTicket: !0,
menus: [ "shareAppMessage", "shareTimeline" ]
}), Global.api.setKeepScreenOn && Global.api.setKeepScreenOn({
keepScreenOn: !0
}), o._consoleAppIdList(), setTimeout(o._checkNewVersion.bind(o), 1e3), 1089 == i.scene ? (Global.Event.emit("enterFromMyApp"), 
o.isEnterFromMyApp = !0) : 1038 == i.scene && Global.Event.emit("backOtherApp", i.referrerInfo), 
Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
var e = Global.api.getLaunchOptionsSync();
1089 == t.scene ? (Global.Event.emit("enterFromMyApp"), this.isEnterFromMyApp = !0) : 1038 == e.scene && Global.Event.emit("backOtherApp", e.referrerInfo), 
this.shareListener = null, this._checkNewVersion();
}.bind(o)), Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}), n.getRecorderManager().onStop(function(t) {
o.isRecordVoice = !1, Global.Log("录音完成", t.tempFilePath), Global.Event.emit(GlobalEvent.RECORD_VOICE_END, t);
}), o;
}
return E(e, t), e.prototype.getLaunchData = function() {
return this.luanchData;
}, e.prototype.getReferrer = function() {
return this.referrerInfo;
}, e.prototype.autoLogin = function(t) {
var e = this;
Global.api.login({
success: function(o) {
o.gameid = Statics.gameid, Global.Http.get({
path: "/wxLogin",
route: "",
data: o,
cb: function(o, n) {
o ? (console.error("微信登陆失败:", o), setTimeout(function() {
e.autoLogin(t);
}, 1e3)) : (console.log("wxlogin登陆成功:", n), t(n));
}
});
},
fail: function(o) {
console.error("获取code失败:", o), setTimeout(function() {
e.autoLogin(t);
}, 1e3);
}
});
}, e.prototype._consoleAppIdList = function() {
Global.api.getFileSystemManager().readFile({
filePath: "app-config.json",
encoding: "utf8",
success: function(t) {
var e = JSON.parse(t.data);
Global.Log("navigateToMiniProgramAppIdList:", e.navigateToMiniProgramAppIdList);
},
fail: function(t) {
console.error("navigateToMiniProgramAppIdList:", t);
}
});
}, e.prototype._checkNewVersion = function() {
var t = this;
if (!this.isCheckNewVersion) {
var e = Global.api.getUpdateManager();
e.onCheckForUpdate(function(o) {
o.hasUpdate && (t.isCheckNewVersion = !0, Global.api.showLoading({
title: "应用更新中"
}), e.onUpdateReady(function() {
Global.api.hideLoading(), e.applyUpdate();
}));
}), e.onUpdateFailed(function() {
Global.api.showToast({
title: "新版本下载失败"
}), Global.api.hideLoading();
});
}
}, e.prototype.getUserInfo = function(t, e, o, n, i, a) {
Global.Log("getUserInfo:", t, e, o, n), this.btnLogin && this.btnLogin.destroy();
var r = !0;
Global.api.getSystemInfoSync(), this.btnLogin = Global.api.createUserInfoButton({
type: "image",
image: i,
style: {
left: t,
top: e,
width: o,
height: n
},
withCredentials: !0
});
var s = "";
Global.api.login({
success: function(t) {
s = t.code;
},
fail: function() {}
}), this.btnLogin.onTap(function(t) {
if (!t.iv) return r && a(t), void (r = !1);
var e = {
code: s,
iv: encodeURIComponent(t.iv),
encryptedData: encodeURIComponent(t.encryptedData),
signature: t.signature
};
r && a(e), r = !1;
}), this.btnLogin.show();
}, e.prototype.destroyLoginButton = function() {
this.btnLogin && this.btnLogin.destroy(), this.btnLogin = null;
}, e.prototype.share = function(t) {
var e = {};
"number" == typeof t ? e = this.config.shareCfg[t] : "object" == typeof t ? e = t : (t = Math.floor(Math.random() * this.config.shareCfg.length), 
e = this.config.shareCfg[t]), Global.api.shareAppMessage(e);
}, e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
console.log("showBanner:", t, "->", n), this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
}, this.bannerCanShow = !0;
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (!l.bannerAD) return s && s.destroy(), void (l.bannerAD = null);
l.bannerAD.style.top = i.screenHeight - e.height, l.bannerAD.style.left = (i.screenWidth - e.width) / 2, 
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
}), this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
}), this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
}, e.prototype.vibrateLong = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateLong({
success: t,
fail: t,
complete: t
});
}, e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
}, e.prototype.destroyBanner = function(t) {
void 0 === t && (t = ""), this.bannerCanShow = !1, Global.Log("destroyBanner:", this.bannerAD, ",scene:", t), 
this.bannerAD && this.bannerAD.destroy(), this.bannerAD = null, this.bannerCfg = null;
}, e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
this.lastVideoName = t;
var i = this.config.video[t];
this.videoCB = e, this.videoFailCB = o, Global.Log("showBanner:", t, "->", i), this.onVideoError || (this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this)), this.videoAd && (this.videoAd.offError(this.onVideoError), 
this.videoAd.offClose(this.onVideoClose)), this.videoAd = Global.api.createRewardedVideoAd({
adUnitId: i
}), this.videoAd.load().then(function() {
Global.Event.emit("打点_拉取广告成功"), n.videoAd.show(), Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
}, e.prototype.startRecordVoice = function(t) {
void 0 === t && (t = 15e3), this.isRecordVoice || (this.isRecordVoice = !0, Global.api.getRecorderManager().start({
duration: t,
sampleRate: 44100,
encodeBitRate: 64e3,
format: "mp3"
}));
}, e.prototype.stopRecordVoice = function() {
this.isRecordVoice && Global.api.getRecorderManager().stop();
}, e;
}(y);
(function(t) {
t["头条"] = "toutiao", t["抖音"] = "douyin", t["皮皮虾"] = "ppx", t["火山"] = "huosha", t["西瓜"] = "xigua", 
t["开发工具"] = "devtools";
})(w || (w = {}));
var _, I = function(t) {
function e(e) {
var o = t.call(this, e) || this;
o.__className__ = "PlatformTouTiao", o.name = "toutiao", o.isWehcat = !1, o.isWeb = !1, 
o.isTouTiao = !0, o.Host = w.头条, o.onVideoError = null, o.onVideoClose = null, o.videoName = "", 
o.shareVideoPath = "", o._startRecordTime = 0, o.isRecording = !1;
var n = window.tt;
return o.recordMgr = n.getGameRecorderManager(), o.recordMgr.onStop(function(t) {
if (o.isRecording = !1, Date.now() - o._startRecordTime < 5e3) return Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "录制时间<5秒无效"
}), Global.Event.emit(GlobalEvent.RECORD_END, !1), void (o._startRecordTime = 0);
o.shareVideoPath = t.videoPath, Global.Event.emit(GlobalEvent.RECORD_END, !0), o._startRecordTime = 0;
}), n.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: ""
};
}), n.showShareMenu(null), n.setKeepScreenOn({
keepScreenOn: !0
}), o.Host = Global.api.getSystemInfoSync().appName.toLowerCase(), Global.Log("头条初始化成功,Host:", o.Host), 
o._consoleAppIdList(), o.lastInterstitialTime = Date.now(), o._initInterstitialAD(), 
o;
}
return E(e, t), e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e6 * Math.random()) + 8999999,
platform: "tt"
};
t && t(e);
}, e.prototype._consoleAppIdList = function() {
Global.api.getFileSystemManager().readFile({
filePath: "game.json",
encoding: "utf8",
success: function(t) {
var e = JSON.parse(t.data);
Global.Log("navigateToMiniProgramAppIdList:", e.navigateToMiniProgramAppIdList);
},
fail: function(t) {
console.error("navigateToMiniProgramAppIdList:", t);
}
});
}, e.prototype.share = function(t, e) {
var o = {};
t && "number" == typeof t ? o = this.config[t] : t && "object" == typeof t ? o = t : (t = Math.floor(Math.random() * this.config.shareCfg.length), 
o = this.config.shareCfg[t]);
var n = JSON.parse(JSON.stringify(o));
e && (n.success = e), Global.api.shareAppMessage(n);
}, e.prototype.shareRecordVideo = function() {
window.tt.shareAppMessage({
channel: "video",
title: "视频分享",
desc: "精彩分享",
imageUrl: "",
templateId: "",
query: "",
extra: {
videoPath: this.shareVideoPath,
videoTopics: [],
withVideoId: !0
},
success: function(t) {
Global.Log(t.videoId), Global.Log("分享视频成功");
},
fail: function() {
Global.Log("分享视频失败");
}
});
}, e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
if (Global.Log("toutiao showBanner:", t, r), r) {
this.destroyBanner();
var s = window.tt.getSystemInfoSync(), l = o || .17 * s.screenHeight, c = e || s.screenWidth, d = window.tt.createBannerAd({
adUnitId: r,
style: {
left: n,
top: i,
width: c,
height: l
}
});
this.bannerAD = d;
var h = this;
this.bannerAD.onResize(function(e) {
if (!h.bannerAD) return d && d.destroy(), void (h.bannerAD = null);
Global.Log("getSystemInfoSync", s.screenWidth, s.screenHeight), Global.Log("onResize", n, i, c, l, e.width, e.height), 
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, d, e);
}), this.bannerAD.onError(function(t) {
Global.Log("onError:", t), a.destroyBanner();
}), this.bannerAD.onLoad(function() {
a.bannerAD.show();
});
}
}, e.prototype.vibrateLong = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateLong({
success: t,
fail: t,
complete: t
});
}, e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
}, e.prototype.destroyBanner = function() {
Global.Log("destroyBanner:", this.bannerAD), this.bannerAD && this.bannerAD.destroy(), 
this.bannerAD = null;
}, e.prototype._onVideoClose = function(e) {
t.prototype._onVideoClose.call(this, e), this.videoAd = null, this.videoCB = null, 
this.videoFailCB = null;
}, e.prototype._onVideoError = function(e) {
t.prototype._onVideoError.call(this, e), this.videoAd && (this.videoAd.offError(this.onVideoError), 
this.videoAd.offClose(this.onVideoClose)), this.videoAd = null, this.videoCB = null, 
this.videoFailCB = null;
}, e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
this.lastVideoName = t;
var i = this.config.video[t];
this.videoCB = e, this.videoFailCB = o, this.videoAd ? this.videoAd.load().then(function() {
n.videoAd.show(), Global.Event.emit(GlobalEvent.API_ON_HIDE);
}) : (Global.Log("showRewardVideo:", t, i), this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this), this.videoAd = window.tt.createRewardedVideoAd({
adUnitId: i
}), this.videoAd.load().then(function() {
Global.Event.emit("打点_拉取广告成功"), n.videoAd.show();
}));
}, e.prototype.startRecord = function(t) {
void 0 === t && (t = 0), Global.Log("startRecord:", t), this.recordMgr.start({
duration: t
}), this._startRecordTime = Date.now(), this.isRecording = !0;
}, e.prototype.stopRecord = function() {
Global.Log("stopRecord"), this.isRecording && (this.recordMgr.stop(), this.isRecording = !1);
}, e.prototype.showInterstitial = function(t) {
this.interstitialCB = t, this.interstitialAd ? (this.interstitialCB = t, this.interstitialAd.show().catch(function(e) {
console.error(e), t && t();
})) : console.error("未提供广告id");
}, e.prototype.getRecordTime = function() {
return Date.now() - this._startRecordTime;
}, e;
}(y), C = function(t) {
function e(e) {
var o = t.call(this, e) || this;
return o.isWechat = !0, o.isQQ = !1, o.name = "QQ", o.appBox = null, o.isQQ = !0, 
o.isWechat = !1, o;
}
return E(e, t), e.prototype.autoLogin = function(t) {
var e = {
openid: "qq" + Math.floor(1e7 * Math.random()) + 89999999,
platform: "qq"
};
t && t(e);
}, e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
}, Global.Log("showBanner:", t, "->", n);
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (!l.bannerAD) return s && s.destroy(), void (l.bannerAD = null);
l.bannerAD.style.top = i.screenHeight - e.height, l.bannerAD.style.left = (i.screenWidth - e.width) / 2, 
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
}), this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
}), this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
}, e.prototype.createAppBox = function(t, e) {
var o = this;
if (this.appBoxCB = e, this.appBox) this.appBox.show(); else {
if (!t) {
var n = Object.keys(this.config.appBox);
t = n[Math.floor(Math.random() * n.length)];
}
Global.Log("appBoxId", this.config.appBox[t]), this.appBox = window.qq.createAppBox({
adUnitId: this.config.appBox[t]
}), this.appBox.load().then(function() {
o.appBox.show();
}), this.appBox.onClose(function() {
o.appBoxCB && o.appBoxCB();
});
}
}, e.prototype.showInterstitial = function() {
this.interstitialAd && this.interstitialAd.show();
}, e;
}(G), D = null, O = function(t) {
function e(e) {
var o = t.call(this, e) || this;
return o.isWeb = !1, o.isVivo = !1, o.name = "vivo", o.videoName = "", o.onVideoError = null, 
o.onVideoClose = null, o.nativeAd = null, o.nativeCache = [], o.isWeb = !1, o.isVivo = !0, 
D = window.qg, Global.Log("vivo平台初始化"), Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}), Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}), o._initInterstitialAD(), o;
}
return E(e, t), e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e7 * Math.random()) + 89999999,
platform: "vivo"
};
t && t(e);
}, e.prototype.vibrateLong = function() {
Global.Audio.vibrateOpen && D.vibrateLong();
}, e.prototype.vibrateShort = function() {
Global.Audio.vibrateOpen && D.vibrateShort();
}, e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
}, D.getSystemInfoSync(), this.bannerAD ? this.bannerAD.show() : (this.bannerAD = D.createBannerAd({
posId: r,
style: {
left: n,
top: i,
width: e,
height: o
}
}), this.bannerAD.onSize(function(t) {
if (!a.bannerAD) return a.bannerAD && a.bannerAD.destroy(), void (a.bannerAD = null);
Global.Log(GlobalEvent.API_BANNER_RESIZE, t);
}), this.bannerAD.onError(function(t) {
Global.Log("onError:", t);
}), this.bannerAD.show());
}, e.prototype.destroyBanner = function(t) {
void 0 === t && (t = ""), Global.Log("destroyBanner:", this.bannerAD, ",scene:", t), 
this.bannerAD && this.bannerAD.destroy(), this.bannerAD = null, this.bannerCfg = null;
}, e.prototype.showRewardVideo = function(t, e, o) {
if (this.lastVideoName = t, Date.now() - this.lastVideoTime < 1e4) return Global.Event.emit("UI提示", {
content: "广告资源不足，请稍后再试"
});
var n = this.config.video[t];
if (this.videoCB = e, this.videoFailCB = o, this.onVideoError || (this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this)), this.videoAd) return Global.Event.emit("打点_拉取广告成功"), 
this.videoAd.load();
var i = D.createRewardedVideoAd({
posId: n
});
this.videoAd = i, this.videoAd.onLoad(function() {
setTimeout(function() {
Global.Event.emit("打点_拉取广告成功"), Global.Event.emit(GlobalEvent.API_ON_HIDE), i.show();
}, 50);
}), i.load();
}, e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
}, e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
Global.Log("showNativeAD:", n, Date.now());
var i = D.createNativeAd({
posId: n
});
i.onLoad(function(t, e) {
Global.Log("原生广告加载完成-onload触发", e), e && e.adList && e.adList.length && (o.nativeCache = e.adList, 
t && o._getNativeAd(t));
}.bind(null, e)), i.onError(function(t) {
Global.Log("原生广告加载异常", t);
}), this.nativeAd = i;
}
}, e.prototype.showInterstitial = function(t) {
this.interstitialAd ? (this.interstitialCB = t, this.interstitialAd.show().catch(function(e) {
console.error(e), t && t();
})) : console.error("未提供广告id");
}, e;
}(y), V = null, L = function(t) {
function e(e) {
var o = t.call(this, e) || this;
return o.isWeb = !1, o.isOppo = !1, o.name = "oppo", o.videoName = "", o.onVideoError = null, 
o.onVideoClose = null, o.nativeAd = null, o.nativeCache = [], o.isWeb = !1, o.isOppo = !0, 
Global.Log("oppo初始化"), V = window.qg, o.readVersion(), Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}), Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}), o;
}
return E(e, t), e.prototype.readVersion = function() {
var t = V.getFileSystemManager().readFileSync("manifest-1.json", "utf8");
if (t) {
var e = JSON.parse(t);
V.dataversion = e.versionName, console.log("qg readVersion:", V.dataversion);
}
}, e.prototype.autoLogin = function(t) {
var e = {
openid: "op" + Math.floor(1e7 * Math.random()) + 89999999,
platform: "oppo"
};
t && t(e);
}, e.prototype.vibrateLong = function() {
Global.Audio.vibrateOpen && V.vibrateLong();
}, e.prototype.vibrateShort = function() {
Global.Audio.vibrateOpen && V.vibrateShort();
}, e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
var s = V.getSystemInfoSync();
Global.Log("showBannerPos:", n, i, e, o), this.bannerAD ? this.bannerAD.show() : (this.bannerAD = V.createBannerAd({
adUnitId: r,
style: {
left: n / s.pixelRatio,
top: i / s.pixelRatio,
width: e / s.pixelRatio,
height: o / s.pixelRatio
}
}), this.bannerAD.onResize(function(t) {
if (!a.bannerAD) return a.bannerAD && a.bannerAD.destroy(), void (a.bannerAD = null);
Global.Event.emit("bannershow", t);
}), this.bannerAD.onError(function(t) {
Global.Log("onError:", t);
}), this.bannerAD.show());
}, e.prototype.destroyBanner = function(t) {
void 0 === t && (t = ""), Global.Log("destroyBanner:", this.bannerAD, ",scene:", t), 
this.bannerAD && this.bannerAD.destroy(), this.bannerAD = null, this.bannerCfg = null;
}, e.prototype.showRewardVideo = function(t, e, o) {
if (this.lastVideoName = t, Date.now() - this.lastVideoTime < 1e4) return Global.Event.emit("UI提示", {
content: "广告资源不足，请稍后再试"
});
var n = this.config.video[t];
if (this.videoCB = e, this.videoFailCB = o, this.onVideoError || (this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this)), this.videoAd) return Global.Event.emit("打点_拉取广告成功"), 
this.videoAd.load();
var i = V.createRewardedVideoAd({
posId: n
});
this.videoAd = i, this.videoAd.onLoad(function() {
setTimeout(function() {
Global.Event.emit("打点_拉取广告成功"), i.show(), Global.Event.emit(GlobalEvent.API_ON_HIDE);
}, 50);
}), i.load(), i.onError(this.onVideoError), i.onClose(this.onVideoClose);
}, e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
}, e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
Global.Log("showNativeAD:", n, Date.now());
var i = V.createNativeAd({
adUnitId: n
});
i.onLoad(function(t, e) {
Global.Log("原生广告加载完成-onload触发", e), e && e.adList && e.adList.length && (o.nativeCache = e.adList, 
t && o._getNativeAd(t));
}.bind(null, e)), i.onError(function(t) {
Global.Log("原生广告加载异常", t);
}), this.nativeAd = i;
}
}, e;
}(y), N = function(t) {
function e(e) {
var o = t.call(this, e) || this;
o.name = "baidu", o.isWechat = !1, o.isBaiDu = !0, o.isWeb = !1, o.isCheckNewVersion = !1, 
o.onVideoError = null, o.onVideoClose = null, o.recordMgr = null, o.isRecording = !1, 
o._startRecordTime = 0, o.shareVideoPath = "", o.isWeb = !1, o.isBaiDu = !0;
var n = window.swan;
return n.getLaunchOptionsSync(), n.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: {}
};
}), n.showShareMenu(null), n.setKeepScreenOn && n.setKeepScreenOn({
keepScreenOn: !0
}), n.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}.bind(o)), n.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}), o.recordMgr = n.getVideoRecorderManager(), o.recordMgr.onStop(function(t) {
if (o.isRecording = !1, Date.now() - o._startRecordTime < 5e3) return Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "录制时间<5秒无效"
}), Global.Event.emit(GlobalEvent.RECORD_END, !1), void (o._startRecordTime = 0);
o.shareVideoPath = t.videoPath, Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "录制时间<5秒无效"
}), Global.Event.emit(GlobalEvent.RECORD_END, !0), o._startRecordTime = 0;
}), o;
}
return E(e, t), e.prototype._checkNewVersion = function() {
var t = this;
if (!this.isCheckNewVersion) {
var e = Global.api.getUpdateManager();
e.onCheckForUpdate(function(o) {
o.hasUpdate && (t.isCheckNewVersion = !0, Global.api.showLoading({
title: "应用更新中"
}), e.onUpdateReady(function() {
window.wx.hideLoading(), e.applyUpdate();
}));
}), e.onUpdateFailed(function() {
Global.api.showToast({
title: "新版本下载失败"
}), Global.api.hideLoading();
});
}
}, e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
}, Global.Log("showBanner:", t, "->", n);
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
appSid: this.config.appid,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (!l.bannerAD) return s && s.destroy(), void (l.bannerAD = null);
l.bannerAD.style.top = i.screenHeight - e.height, l.bannerAD.style.left = (i.screenWidth - e.width) / 2, 
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
}), this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
}), this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
}, e.prototype.vibrateLong = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateLong({
success: t,
fail: t,
complete: t
});
}, e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
}, e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
this.lastVideoName = t;
var i = this.config.video[t];
if (this.videoCB = e, this.videoFailCB = o, Global.Log("showRewardVideo:", t, "->", i), 
this.onVideoError || (this.onVideoError = this._onVideoError.bind(this), this.onVideoClose = this._onVideoClose.bind(this)), 
this.videoAd) return this.videoAd.load();
this.videoAd = Global.api.createRewardedVideoAd({
adUnitId: i,
appSid: this.config.appid
}), this.videoAd.onLoad(function() {
n.videoAd.show(), Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
}, e.prototype.startRecord = function(t) {
void 0 === t && (t = 120), this.recordMgr.start({
duration: t
}), this._startRecordTime = Date.now(), this.isRecording = !0;
}, e.prototype.stopRecord = function() {
this.recordMgr.stop();
}, e;
}(y), S = function() {
function t() {}
return t.API_ON_SHOW = "onShow", t.API_ON_HIDE = "onHide", t.API_VIDEO_SUCCESS = "videoSuccess", 
t.API_VIDEO_FAIL = "videoFail", t.API_BANNER_RESIZE = "bannerResize", t.API_BANNER_ERROR = "bannerError", 
t.API_BANNER_ONLOAD = "banneronLoad", t.RECORD_END = "recordEnd", t.UI_WINDOW_CHANGE = "ui_event_window_change", 
t.UI_TOOLTIP = "tooltip", t.RECORD_VOICE_END = "recordVideoEnd", t.ReportEvent = {
OnlineTime: "ot",
OpenVideo: "ov",
VideoSuccess: "vs"
}, t;
}(), R = "", B = -1, M = "", P = function() {
function t() {}
return t.init = function(t, e, o, n) {
R = t, B = e, M = o, this.platform = n, this.gameid = e;
}, t.register = function(t, e, o, n) {
this.openid = t, this.version = o;
var i = this;
this.get("", {
openid: t,
referrerInfoAppId: e,
platform: this.platform
}, function(t, e) {
if (console.log("注册结果:", e), e && (i.flows = e.flows, i.subscribe = e.subscribe, 
i.registerTimeTick = e.registerTimeTick, Global.Event.emit("updateFlows"), e.dictionary)) for (var a = 0; a < e.dictionary.length; a++) e.dictionary[a].version == o && (i.dictionary[e.dictionary[a].key] = e.dictionary[a].value);
n(t, e);
}, "/gameRegister");
}, t.login = function(t, e, o) {
this.openid = t, this.version = e;
var n = this;
this.get("login", {
openid: t,
version: e,
platform: this.platform
}, function(t, i) {
if (console.log("统计服务器登陆结果:", i), i && (n.flows = i.flows, n.registerTimeTick = i.registerTimeTick, 
n.subscribe = i.subscribe, Global.Event.emit("updateFlows"), i.dictionary)) {
Global.Event.emit("91430104MA");
for (var a = 0; a < i.dictionary.length; a++) i.dictionary[a].version == e && (n.dictionary[i.dictionary[a].key] = i.dictionary[a].value);
}
o && o(t, i);
});
}, t.addFlowCount = function(t) {
t.openid = this.openid, t.platform = this.platform, this.get("addFlowCount", t, function(t, e) {
Global.Event.emit("4REPD57D"), console.log("addFlowCount:9143", e);
});
}, t.addFlowOpenCount = function(t) {
t.openid = this.openid, t.platform = this.platform, this.get("addFlowOpenCount", t, function(t, e) {
console.log("addFlowCount:0104", e);
});
}, t.addEvent = function(t) {
var e = {
eventName: t
};
this.registerTimeTick && this.get("addEvent", e, function(t, e) {
console.log("addEvent:MA4", e);
});
}, t.userEvent = function(t) {
this.get("userEvent", {
eventName: t
}, function(t, e) {
console.log("userEvent:REPD57D", e);
});
}, t.requestSubscribeMessage = function() {
var t = this;
this.get("subscribeSuccss", {}, function(e, o) {
t.subscribe = o.subscribe;
});
}, t.saveCacheData = function(t) {
this.get("saveData", {
cacheData: t
}, function(t, e) {
console.log("数据保存结果:", e);
});
}, t.get = function(t, e, o, n) {
void 0 === n && (n = "/game"), R || console.error("admin Url is null"), e.secret = M, 
e.gameid = B, e.openid = this.openid, Global.Http.loginGet({
path: n,
route: t,
data: e,
cb: o,
reconnect: !0,
url: R
});
}, t.dictionary = {}, t.subscribe = !1, t.openid = "", t.gameid = 0, t.version = "", 
t.platform = "", t.flows = [], t.registerTimeTick = 0, t;
}(), T = function(t) {
function e(e) {
var o = t.call(this, e) || this;
return o.name = "huawei", o.isHuaWei = !0, o.isWeb = !0, o.videoName = "", o.onVideoError = null, 
o.onVideoClose = null, o.nativeAd = null, o.nativeCache = [], o.bannerAD = null, 
o.videoAd = null, o.bannerCfg = {}, o.interstitialAd = null, o.interstitialCB = null, 
o.videoCB = null, o.videoFailCB = null, o.lastVideoTime = 0, o.lastVideoName = "", 
o.isWeb = !1, o.isHuaWei = !0, console.log("华为平台初始化"), Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}.bind(o)), Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}), o;
}
return E(e, t), e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e7 * Math.random()) + 89999999,
platform: "hw"
};
t && t(e);
}, e.prototype.vibrateLong = function() {
Global.api.vibrateLong();
}, e.prototype.vibrateShort = function() {
Global.api.vibrateShort();
}, e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
var r = Global.api.getSystemInfoSync(), s = r.safeArea.height - i / cc.winSize.height * r.safeArea.height;
console.log("hua wei showBannerPos:", 0, s, 360, 57), this.bannerAD ? this.bannerAD.show() : (this.bannerAD = Global.api.createBannerAd({
adUnitId: a,
style: {
left: 0,
top: s,
width: 360,
height: 57
}
}), this.bannerAD.onError(function(t) {
console.log("onError111:", JSON.stringify(t));
}), this.bannerAD.onLoad(function() {
console.log("广告加载完成:", a);
}), this.bannerAD.show());
}, e.prototype.destroyBanner = function(t) {
void 0 === t && (t = ""), console.log("destroyBanner:", this.bannerAD, ",scene:", t), 
this.bannerAD && this.bannerAD.destroy(), this.bannerAD = null, this.bannerCfg = null;
}, e.prototype._onVideoClose = function(t) {
t.isEnded ? this.videoCB && this.videoCB() : this.videoFailCB ? this.videoFailCB() : Global.Event.emit("UI提示", {
content: "视频未看完不能获得奖励"
}), this.lastVideoTime = Date.now(), this.lastVideoName = "";
}, e.prototype._onVideoError = function(t) {
console.log("_onVideoError:", t), this.videoFailCB && this.videoFailCB(null), this.lastVideoName = "";
}, e.prototype.showRewardVideo = function(t, e, o) {
if (!this.lastVideoName) {
this.lastVideoName = t;
var n = this.config.video[t];
if (this.videoCB = e, this.videoFailCB = o, this.onVideoError || (this.onVideoError = this._onVideoError.bind(this), 
this.onVideoClose = this._onVideoClose.bind(this)), this.videoAd) return this.videoAd.load();
var i = Global.api.createRewardedVideoAd({
adUnitId: n
});
this.videoAd = i, this.videoAd.onLoad(function() {
setTimeout(function() {
i.show();
}, 50);
}), i.load();
}
}, e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
}, e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
console.log("showNativeAD:", n, Date.now());
var i = Global.api.createNativeAd({
posId: n
});
i.onLoad(function(t, e) {
console.log("原生广告加载完成-onload触发", e), e && e.adList && e.adList.length && (o.nativeCache = e.adList, 
t && o._getNativeAd(t));
}.bind(null, e)), i.onError(function(t) {
console.log("原生广告加载异常", t);
}), this.nativeAd = i;
}
}, e;
}(y);
(function(t) {
t.DEFAULT = "default", t["穿山甲"] = "穿山甲", t["233乐园"] = "233乐园";
})(_ || (_ = {}));
var U = function(t) {
function e(o) {
var n = t.call(this, o) || this;
return n.name = "android", n.isWeb = !1, n.isAndroid = !0, n.javaClassName = "org/cocos2dx/javascript/AppActivity", 
n.adConfig = null, n.orginConfig = null, n.orginConfig = o, o.javaClass && (n.javaClassName = o.javaClass), 
n.setChannel(e.channel), n;
}
return E(e, t), e.prototype.setChannel = function(t) {
e.channel = t, this.config = this.orginConfig[e.channel], this.config || console.error("没有渠道配置:", t);
}, e.prototype.callFromJava = function(t) {
var e = this;
Global.Log("callFromJava:", t);
var o = t.split(",");
cc.director.getScheduler().schedule(function() {
"video" == o[0] ? "0" == o[1] || "1" == o[1] ? e._onVideoClose({
isEnded: "0" == o[1]
}) : e._onVideoError({
errCode: 0
}) : "banner" == o[0] && ("0" == o[1] ? e.bannerAD = o[2] : console.log("banner 显示失败:"));
}, this, .1, 0, 0, !1);
}, e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this.config.banner[t];
jsb.reflection.callStaticMethod(this.javaClassName, "showBannerPos", "(Ljava/lang/String;IIII)V", a, Math.floor(n), Math.floor(i), Math.floor(e), Math.floor(o));
}, e.prototype.destroyBanner = function() {
jsb.reflection.callStaticMethod(this.javaClassName, "destroyBanner", "()V");
}, e.prototype.showRewardVideo = function(t, e, o) {
var n = this.config.video[t];
console.log("showRewardVideo:", n), this.videoCB = e, this.videoFailCB = o, jsb.reflection.callStaticMethod(this.javaClassName, "showRewardVideo", "(Ljava/lang/String;)V", n);
}, e.channel = _.DEFAULT, e;
}(y), W = function(t) {
function e(e) {
var o = t.call(this, e) || this;
return o.name = "ios", o.isWeb = !1, o.isIOS = !0, o;
}
return E(e, t), e.prototype.showBannerPos = function(t) {
this.config.banner[t];
}, e.prototype.destroyBanner = function() {}, e.prototype.showRewardVideo = function() {}, 
e;
}(y), F = function() {
function t() {}
return t.canShow = function(t) {
this.lastShowButton = t, Global.Platform.isOppo || Global.Platform.isVivo ? Global.api.hasShortcutInstalled({
success: function(e) {
Global.Log("hasShortcutInstalled:", e), t && (t.active = !e);
},
fail: function() {}
}) : (Global.Platform.isQQ, t.active = !1);
}, t.checkAdd = function(t) {
var e = this, o = function() {
e.lastShowButton && (e.lastShowButton.active = !1);
var o = cc.sys.localStorage.getItem("autoDeskIcon");
cc.sys.localStorage.setItem("autoDeskIcon", "11"), t(!o);
};
Global.Platform.isOppo || Global.Platform.isVivo ? Global.api.installShortcut({
success: function() {
Global.Log("创建成功"), setTimeout(function() {
Global.api.hasShortcutInstalled({
success: function() {
o(), Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加桌面图标成功"
});
},
fail: function() {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
});
}, 10);
},
fail: function() {
Global.Log("installShortcut 自动失败"), Global.api.hasShortcutInstalled({
success: function(t) {
t && (o(), Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "已存在桌面图标"
}));
},
fail: function() {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
});
}
}) : Global.Platform.isQQ && (Global.api.saveAppToDesktop ? Global.api.saveAppToDesktop({
success: function() {
o();
},
fail: function(t) {
Global.Log("err:", t), Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
}) : (Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "小程序版本太低"
}), t(-1)));
}, t.lastShowButton = null, t;
}(), x = function() {
function t() {}
return t.preload = function(t, e) {
void 0 === t && (t = "通用"), void 0 === e && (e = null), (Global.Platform.isVivo || Global.Platform.isOppo || Global.Platform.isHuaWei) && 0 == this.cache.length && this._showNativeAD(t, e);
}, t._onNativeload = function(e) {
Global.Log("原生广告加载完成-onload触发:", t.evntName, JSON.stringify(e)), e && e.adList && e.adList.length && (t.cache.push({
nativeAd: t.loadnativeAd,
adList: e.adList
}), Global.Event.emit("native_" + t.evntName)), t.isPreloading = !1;
}, t._onNativeErr = function(e) {
Global.Log("原生广告加载异常", e), t.isPreloading = !1;
}, t._showNativeAD = function(e, o) {
if (Global.Log("_showNativeAD evtName:", o), t.cache.length > 0) {
if (t.cache[0].adList.length) return Global.Log("原生广告cache"), void Global.Event.emit("native_" + o);
t.cache.shift();
}
if (!t.isPreloading) {
t.isPreloading = !0;
var n = Global.Platform.config.native[e];
Global.Log("showNativeAD:", n, Date.now());
var i = Global.api.createNativeAd({
posId: n,
adUnitId: n
});
t.evntName = o, i.offLoad(t._onNativeload), i.onLoad(t._onNativeload), t.loadnativeAd = i, 
i.offError(t._onNativeErr), i.onError(t._onNativeErr), (Global.Platform.isOppo || Global.Platform.isHuaWei) && i.load();
}
}, t.cache = [], t.nativeRoundIndex = 0, t.evntName = "", t.loadnativeAd = "", t.isPreloading = !1, 
t;
}(), H = function() {
function t() {}
return t._init = function(t) {
this.UIMgr = new l(), this.Audio = new b(), this.launchStartTime = Date.now(), CC_WECHATGAME ? (this.api = window.wx, 
window.tt ? this.Platform = new I(t.toutiao) : window.qq ? this.Platform = new C(t.qq) : this.Platform = new G(t.wechat)) : cc.sys.platform == cc.sys.BAIDU_GAME ? (this.api = window.swan, 
this.Platform = new N(t.baidu)) : cc.sys.platform === cc.sys.VIVO_GAME ? (this.api = window.qg, 
this.Platform = new O(t.vivo)) : cc.sys.platform === cc.sys.OPPO_GAME ? (this.api = window.qg, 
this.Platform = new L(t.oppo)) : cc.sys.platform == cc.sys.HUAWEI_GAME ? (this.api = window.hbs, 
this.Platform = new T(t.huawei)) : cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID ? (this.api = {}, 
this.Platform = new U(t.android)) : cc.sys.isNative && cc.sys.os == cc.sys.OS_IOS ? (this.api = {}, 
this.Platform = new W(t.ios)) : (this.api = window, this.Platform = new y(t.web));
}, t.OpenStatics = function() {
var t = this;
cc.game.on(cc.game.EVENT_SHOW, function() {
t.launchStartTime = Date.now();
}), cc.game.on(cc.game.EVENT_HIDE, function() {
Statics.get("addEvent", {
eventName: "游戏时长",
time: Math.ceil(Date.now() - t.launchStartTime / 1e3)
}, function(t, e) {
Global.Log("游戏时长上报成功:", e);
});
});
}, t.Http = new h(), t.Loader = new v(), t.Event = new g(), t.Common = new m(), 
t.Audio = null, t.UIMgr = null, t.api = null, t.Platform = null, t.Log = console.log, 
t.GlobalEvent = S, t.launchStartTime = 0, t;
}(), k = window;
k.Global = H, k.UIMgr = l, k.Http = h, k.Loader = v, k.EventA = g, k.AudioA = b, 
k.Common = m, k.TTHost = w, k.Android_Channel = _, k.GlobalEvent = S, k.Statics = P, 
k.DeskIcon = F, k.NativeLoader = x;
})();